Bug 429698 - texlive programs take forever, installing and running after installation
texlive programs take forever, installing and running after installation
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-22 09:56 EST by Karsten Hopp
Modified: 2013-07-02 19:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:34:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2008-01-22 09:56:25 EST
Description of problem:
Updating texlive takes forever as kpsewhich looks into each and every subdir of
my $HOME. Something similar happens after installation with etex:
I'm running 'make check' in the automake source tree and one of the test runs '
etex txiversion.tex'. top shows me currently 136 minutes run time for etex, an
strace looks like the following:
open("/home/devel/karsten/src/redhat/dist/rpms/system-switch-jdk/texmf/web2c/",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY|0x80000) = -1 ENOENT (No such file
or directory)
open("/home/devel/karsten/src/redhat/dist/rpms/system-switch-jdk/",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY|0x80000) = 14
fstat64(14, {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
open("/home/devel/karsten/src/redhat/dist/rpms/system-switch-jdk/texmf/web2c/",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY|0x80000) = -1 ENOENT (No such file
or directory)
getdents(14, /* 7 entries */, 4096)     = 132
open("/home/devel/karsten/src/redhat/dist/rpms/system-switch-jdk/CVS/texmf/web2c/",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY|0x80000) = -1 ENOENT (No such file
or directory)
open("/home/devel/karsten/src/redhat/dist/rpms/system-switch-jdk/common/texmf/web2c/",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY|0x80000) = -1 ENOENT (No such file
or directory)
open("/home/devel/karsten/src/redhat/dist/rpms/system-switch-jdk/common/",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY|0x80000)= 15
fstat64(15, {st_mode=S_IFDIR|0775, st_size=4096, ...}) = 0
open("/home/devel/karsten/src/redhat/dist/rpms/system-switch-jdk/common/texmf/web2c/",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY|0x80000) = -1 ENOENT (No such file
or directory)
getdents(15, /* 13 entries */, 4096)    = 288
open("/home/devel/karsten/src/redhat/dist/rpms/system-switch-jdk/common/CVS/texmf/web2c/",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY|0x80000) = -1 ENOENT (No such file
or directory)
open("/home/devel/karsten/src/redhat/dist/rpms/system-switch-jdk/common/common/texmf/web2c/",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY|0x80000) = -1 ENOENT (No such file
or directory)
open("/home/devel/karsten/src/redhat/dist/rpms/system-switch-jdk/common/common/", O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY|0x80000)
= 19
fstat64(19, {st_mode=S_IFDIR|0775, st_size=4096, ...}) = 0
open("/home/devel/karsten/src/redhat/dist/rpms/system-switch-jdk/common/common/texmf/web2c/",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY|0x80000) = -1 ENOENT (No such file
or directory)
getdents(19, /* 13 entries */, 4096)    = 288
open("/home/devel/karsten/src/redhat/dist/rpms/system-switch-jdk/common/common/CVS/texmf/web2c/",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY|0x80000) = -1 ENOENT (No such file
or directory)
open("/home/devel/karsten/src/redhat/dist/rpms/system-switch-jdk/common/common/common/texmf/web2c/",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY|0x80000) = -1 ENOENT (No such file
or directory)
open("/home/devel/karsten/src/redhat/dist/rpms/system-switch-jdk/common/common/common/",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY|0x80000) = 20
fstat64(20, {st_mode=S_IFDIR|0775, st_size=4096, ...}) = 0
open("/home/devel/karsten/src/redhat/dist/rpms/system-switch-jdk/common/common/common/texmf/web2c/",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY|0x80000) = -1 ENOENT (No such file
or directory)
getdents(20, /* 13 entries */, 4096)    = 288
open("/home/devel/karsten/src/redhat/dist/rpms/system-switch-jdk/common/common/common/CVS/texmf/web2c/",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY|0x80000) = -1 ENOENT (No such file
or directory)
open("/home/devel/karsten/src/redhat/dist/rpms/system-switch-jdk/common/common/common/common/texmf/web2c/",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY|0x80000) = -1 ENOENT (No such file
or directory)
open("/home/devel/karsten/src/redhat/dist/rpms/system-switch-jdk/common/common/common/common/",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY|0x80000) = 24
fstat64(24, {st_mode=S_IFDIR|0775, st_size=4096, ...}) = 0
....
Remember: This loops over every subndir in my $HOME

Version-Release number of selected component (if applicable):
texlive-2007-13.fc9
Comment 1 Karsten Hopp 2008-01-22 09:58:34 EST
Well, I have a link common -> ../common in
/home/devel/karsten/src/redhat/dist/rpms/common/ which causes the loop of common
subdirs, but why do the texlive programs search my whole home directory ?
Comment 2 Michal Jaegermann 2008-01-24 14:18:26 EST
> ... but why do the texlive programs search my whole home directory ?

May I suggest that outputs from 'texconfig-sys conf' and 'texconfig conf'
could be of interest?
Comment 3 Karsten Hopp 2008-01-26 05:31:52 EST
both hang after printing '=== active config files ===' as they run kpsewhich,
which is one of the programs looping over the complete $HOME
Comment 4 Karsten Hopp 2008-02-13 05:13:41 EST
I've dropped references to $HOME in /usr/share/texmf/web2c/texmf.cnf for now and
that seems to fix this, but this will show up again after the next update.
Comment 5 Bug Zapper 2008-05-14 00:50:05 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-06-09 19:24:29 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 11:34:49 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.